Name:           python-datupapi
Version:        1.103.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Utility library to support Datup AI MLOps processes

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/datupapi/
Source:         %{pypi_source datupapi}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'datupapi' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-datupapi
Summary:        %{summary}

%description -n python3-datupapi %_description


%prep
%autosetup -p1 -n datupapi-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-datupapi -f %{pyproject_files}


%changelog
%autochangelog